#include <xcb/xcb_icccm.h>

static void
icccm_init(void)
{
	static const char name[] = "test6";
	xcb_atom_t protocols[] = {
		intern("WM_DELETE_WINDOW"),
	};
	xcb_icccm_set_wm_name(conn, win, XCB_ATOM_STRING, 8,
		sizeof(name)-1, name);
	xcb_icccm_set_wm_protocols(conn, win, intern("WM_PROTOCOLS"),
		ARRAY_SIZE(protocols), protocols);
}

static void
handle_client_message(xcb_client_message_event_t *e)
{
	if (e->type != intern("WM_PROTOCOLS"))
		return;
	if (e->data.data32[0] == intern("WM_DELETE_WINDOW"))
		exit(0);
}
